/*
 * Program MMAMWM V0.99.9 or higher
 * (C) by Benjamin Drieu (e-mail: drieu@bocal.cs.univ-paris8.fr)
 * Feb 24rd 1998
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Publis License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


/* Inclusion des en-tetes X11 */
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include <X11/Xos.h>
#include <X11/cursorfont.h>

/* Inclusion d'autres en-tetes */
#include <malloc.h>
#include <stdio.h>
#include <signal.h>
#include <unistd.h>

/* Le type WindowListe est utilise pour la liste chainee des fenetres
   rattachees a un client.  En theorie, on peut y ajouter d'autres
   attributs (groupe de fenetres, titre, couleur, ...) */
typedef struct _WindowListe 
{
  Window window;
  Window client;
  Window clic;
  Bool iconified;
  Colormap cmap;
  char *name;
  struct _WindowListe * s;
} WindowListe;

